> ## Documentation Index
> Fetch the complete documentation index at: https://docs.merchantops.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Set enrichment config override for a property

> Set or update enrichment config override for a property on a product type.



## OpenAPI

````yaml /openapi/merchantops-public.json put /api/product-types/{key}/properties/{prop_key}/enrichment-config
openapi: 3.1.0
info:
  description: >-
    Public API for the MerchantOps product catalog, pricing, and publishing
    surface.
  title: MerchantOps API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.merchantops.ai
security: []
paths:
  /api/product-types/{key}/properties/{prop_key}/enrichment-config:
    put:
      tags:
        - Product Types
      summary: Set enrichment config override for a property
      description: >-
        Set or update enrichment config override for a property on a product
        type.
      operationId: set_enrichment_override
      parameters:
        - in: path
          name: key
          required: true
          schema:
            title: Key
            type: string
        - in: path
          name: prop_key
          required: true
          schema:
            title: Prop Key
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-Organization-ID
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Organization-Id
        - in: cookie
          name: stytch_session
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Stytch Session
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/merchantops_server__api__routers__product_types__EnrichmentOverrideRequest
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/merchantops_server__api__routers__product_types__EnrichmentOverrideResponse
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    merchantops_server__api__routers__product_types__EnrichmentOverrideRequest:
      description: Request to set enrichment overrides for a property on a product type.
      properties:
        ai_matching_guidance:
          anyOf:
            - type: string
            - type: 'null'
          title: Ai Matching Guidance
        enrichment_config:
          anyOf:
            - $ref: '#/components/schemas/EnrichmentConfigDict'
            - type: 'null'
        prompt_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Name
      title: ProductTypesEnrichmentOverrideRequest
      type: object
    merchantops_server__api__routers__product_types__EnrichmentOverrideResponse:
      description: Response after setting or clearing an enrichment override.
      properties:
        ai_matching_guidance:
          anyOf:
            - type: string
            - type: 'null'
          title: Ai Matching Guidance
        enrichment_config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Enrichment Config
        has_override:
          title: Has Override
          type: boolean
        product_type_key:
          title: Product Type Key
          type: string
        prompt_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt Name
        property_key:
          title: Property Key
          type: string
      required:
        - product_type_key
        - property_key
        - has_override
      title: ProductTypesEnrichmentOverrideResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    EnrichmentConfigDict:
      description: Request/response model for an enrichment config.
      properties:
        extraction_hint:
          anyOf:
            - type: string
            - type: 'null'
          title: Extraction Hint
        generation_context_fields:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Generation Context Fields
        generation_prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Generation Prompt
        llm_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Llm Model
        max_length:
          anyOf:
            - type: integer
            - type: 'null'
          title: Max Length
        overwrite_merchant_input:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Overwrite Merchant Input
        source_priority:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Source Priority
        strategies:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Strategies
      title: EnrichmentConfigDict
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````